Bug 585222 - pvresize should support shrinking PVs
Summary: pvresize should support shrinking PVs
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-23 13:23 UTC by Richard W.M. Jones
Modified: 2011-07-14 19:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 19:07:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard W.M. Jones 2010-04-23 13:23:45 UTC
Description of problem:

We need to be able to specify the new size of the PV, to support
shrinking PVs, ie. the '--setphysicalvolumesize' argument.

Version-Release number of selected component (if applicable):

libguestfs 1.3.6

Comment 1 Richard W.M. Jones 2010-05-21 13:58:34 UTC
Patch posted upstream:
https://www.redhat.com/archives/libguestfs/2010-May/msg00140.html


Note You need to log in before you can comment on or make changes to this bug.